--- title: "License details: Request" slug: "license-details-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/license-details-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # License details: Request To get the currently configured license, send the following request: ``` GET https://:/config/v1/licenses ``` Required header: ``` Cookie: px= ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Example ``` GET https://xxx.xxx.xxx.xxx:443/config/v1/licenses ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### License details: Response ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] Content-Type: [Content Type] ``` ###### Response fields - Response Code—A standard HTTP response code. - 200—Request successful; the configuration was successful. - Response Message—A standard HTTP response message. - OK—Request successful; the configuration was successful. - Date—Standard HTML date format. - Content Type—The response format. ###### Example ``` HTTP/1.1 200 OK Server: nginx Date: Thu, 15 Aug 2019 17:32:11 GMT Content-Type: application/json; charset=utf-8 {  "license": [    {      "license": "LK2-FIREEYE_APPLIANCE-413H-K76A-6J19-8TU4-3A44-4MM4-DBAQ-5H39-L2Q5-J709-54KT-45K7-12MA-K288-2F0V-K0CH-H64U-KAC1-G63H-F1U6-JTK1-F5GJ-VV3F-DHLN-4UUR-D5P6-2G36-D5R6-ARBR-CLP6-6UUD-6414-87GL-121K-8PD9-VVCT-QGAV-EMLP",      "license_type": 2,      "well_formed": true,      "feature": "FIREEYE_APPLIANCE",      "hash_type": "hmac_sha256_96",      "hash_ok": true,      "valid": true,      "revoked": false,      "validator_magic": 81,      "options": [        {          "option_name": "start_date",          "option_value": "2019/05/07"        },        {          "option_name": "time_order_constant",          "option_value": "610575195",          "option_value_descr": "2019/05/07 20:13:15"        },        {          "option_name": "tied_primary_mac",          "option_value": "86:25:6A:46:AD:58"        },        {          "option_name": "tied_analysis_mode",          "option_value": "PX"        },        {          "option_name": "tied_key_type",          "option_value": "PROD"        },        {          "option_name": "tied_agreement",          "option_value": "EULA"        },        {          "option_name": "cust_id",          "option_value": "902117588"        },        {          "option_name": "cust_name",          "option_value": "j.user@fireeye.com"        },        {          "option_name": "asset_type",          "option_value": "4",          "option_value_descr": "Internal Fixed Asset"        }      ]    }  ] } ``` ### cURL code sample: License details ``` curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/config/v1/licenses ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `https://xxx.xxx.xxx.xxx:443/config/v1/licenses`—The license request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance. ###### Results This example retrieves the license details.